/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2021 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2021 Ryu Takegami (Twitter:@RyuTakegami)
 *	line printer support 2010-2013,2018 by Ben.JP
 *
 *	[ Win32API ʎq` ]
 */

#ifdef _WIN32

/* j[AANZ[^A^C}[ */
#define IDR_MAINMENU					101
#define IDR_ACCELERATOR 				102
#define IDR_TIMER						103

/* ACRA_CAO */
#if XM7_VER != 2
#define IDI_APPICON						104
#else
#define IDI_AVICON						104
#endif
#define IDD_ABOUTDLG					105
#define IDI_WNDICON						106
#define IDR_DISASMMENU					107
#define IDR_DISASMZ80MENU				143
#define IDD_ADDRDLG						108
#define IDR_BREAKPOINTMENU				109
#define IDD_TITLEDLG					110
#define IDD_GENERALPAGE					111
#define IDD_SOUNDPAGE					112
#define IDD_KBDPAGE						113
#define IDD_KEYINDLG					114
#define IDD_JOYPAGE						115
#define IDI_FUJICON						116
#define IDD_SCRPAGE						117
#define IDD_OPTPAGE						118
#define IDI_2DDICON						119
#if XM7_VER != 2
#define IDI_AVICON						120
#endif
#define IDI_TAMORIICON					121
#define IDI_FUJICON2					122
#define IDD_TITLEDLG_2D					123
#define IDI_SXICON						124
#define IDI_D77ICON						125
#define IDI_2DICON						126
#define IDI_VFDICON						127
#define IDI_VERICON						128
#define IDD_BREAKPDLG					130
#define IDR_MEMDMPMENU					131
#define IDR_MEMDMPMAINMENU				145
#define IDD_MEMDLG						132
#define IDD_REGDLG						133
#define IDR_CPUREGMENU					134
#define IDR_CPUREGZ80MENU				144
#define IDD_SEARCHDLG					135
#define IDD_SOUNDPAGE2					136
#define IDD_PORTPAGE					137
#define IDD_VOLUMEPAGE					138
#define IDD_MEDIATYPEDLG				139
#define IDD_LPRPAGE						140
#define IDD_ALTERPAGE					141
#define IDD_ETCPAGE						142
#define IDD_KEYSTROKEDLG				143
#define IDD_COPYPASTEDLG				144

/* ACR (by tenmaru) */
#define	IDI_FM8ICON						150
#define	IDI_FM7ICON						151
#define	IDI_FM77ICON					152
#define	IDI_77AVICON					153
#define	IDI_40EXICON					154
#define	IDI_40SXICON					155
#define	IDI_40EXICON2					156
#define	IDI_FM11ICON					157	/* reserved... */
#define	IDI_FDICON_1					160
#define	IDI_FDICON_1_2D					161
#define	IDI_FDICON_1_D77				162
#define	IDI_FDICON_1_VFD				163
#define	IDI_FDICON_2					164
#define	IDI_FDICON_2_2D					165
#define	IDI_FDICON_2_2DD				166
#define	IDI_FDICON_2_D77				167
#define	IDI_FDICON_2_VFD				168
#define	IDI_FDICON_3					169
#define	IDI_FDICON_3_2D					170
#define	IDI_FDICON_3_2DD				171
#define	IDI_FDICON_3_D77				172
#define	IDI_FDICON_3_VFD				173
#define	IDI_TAPEICON					174
#define	IDI_TAPEICON_T77				175

/* _CAOAReLXgj[ */
#define IDR_MEDIAMENU					500
#define IDR_HISTORYMENU					501

/* `ChEChE */
#define ID_TOOL_BAR						1000
#define ID_STATUS_BAR					1001
#define ID_CAPTURE_WINDOW				1002

/* o[W_CAO */
#define IDC_TITLE						1007
#define IDC_COPYRIGHT					1008
#define IDC_ABOUTICON					1009
#define IDC_FMCOPY						1010
#define IDC_VERSION						1011
#define IDC_URL_OLD						1012
#define IDC_COPYRIGHT_RHG				1013
#define IDC_COPYRIGHT_USA				1014
#define IDC_COPYRIGHT_TENMARU			1015
#define IDC_COPYRIGHT_GIMONS			1016
#define IDC_URL							1017
#define IDC_URL2						1018
#define IDC_URL3						1019
#define IDC_URL4						1020
#define IDC_URL5						1021
#define IDC_LPCOPYRIGHT					1022
#define IDC_LPCOPYRIGHT2				2000

/* AhX̓_CAO */
#define IDC_ADDRLABEL					1023
#define IDC_ADDRCOMBO					1024

/* l̓_CAO */
#define IDC_MEMLABEL					1025
#define IDC_MEMEDIT						1026

/* WX^l̓_CAO */
#define IDC_REGLABEL					1027
#define IDC_REGEDIT						1028

/* _CAO */
#define IDC_SEARCHDATA					1029
#define IDC_SEARCHADDR					1030

/* ^Cg̓_CAO */
#define IDC_TITLELABEL					1031
#define IDC_TITLEEDIT					1032
#define IDC_TITLEGROUP					1033
#define IDC_TITLE2D						1034
#define IDC_TITLE2DD					1035
#define IDC_TITLEUSRDISK				1036
#define IDC_TITLELABEL2D				1037
#define IDC_TITLEEDIT2D					1038

#if XM7_VER == 1 && defined(BUBBLE)
/* ouϊ^CvI_CAO */
#define IDC_MEDIAFORMATGROUP			1310
#define IDC_MEDIAFORMATB77				1311
#define IDC_MEDIAFORMATBBL				1312
#endif	/* XM7_VER == 1 */

/* \t/L[͎x@\ݒ_CAO */
#define IDC_PASTETEXT					2010
#define IDC_PASTEEDIT					2011
#define IDC_PASTESPIN					2012
#define IDC_PASTETEXTMS					2013
#define IDC_PASTECNTLTEXT				2014
#define IDC_PASTECNTLEDIT				2015
#define IDC_PASTECNTLSPIN				2016
#define IDC_PASTECNTLTEXTMS				2017

/* L[͎x_CAO */
#define IDC_KEYSTROKEEDIT				2020

/* vpeBy[W */
#define IDC_GP_FM7						1040
#define IDC_GP_FM77AV					1041
#define IDC_GP_FM8						1041
#define IDC_GP_SPEEDMODEG				1042
#define IDC_GP_HIGHSPEED				1043
#define IDC_GP_MIDSPEED					1044
#define IDC_GP_LOWSPEED					1045
#define IDC_GP_SPEEDG					1046
#define IDC_GP_HELP						1047
#define IDC_GP_TAPESPEED				1048
#define IDC_GP_CPUCOMBO					1049
#define IDC_GP_CPUTEXT					1050
#define IDC_GP_CPUSPIN					1051
#define IDC_GP_CPULABEL					1052
#define IDC_GP_MACHINEG					1053
#define IDC_GP_AV40EX					1054
#define IDC_GP_FM77						1055
#define IDC_GP_FULLSPEED				1056
#define IDC_GP_VMFULLSPEED				1064
#define IDC_GP_AUTOSPEEDADJUST			1057
#define IDC_GP_FDDWAIT					1058
#define IDC_GP_TAPESPEEDMODE			1059
#define IDC_GP_CPUDEFAULT				1060
#define IDC_GP_CPUSPEEDG				1061
#define IDC_GP_MAIN2MHZ					1062
#define IDC_GP_MAIN1MHZ					1063

/* TEhy[W */
#define IDC_SP_BEEPG					1070
#define IDC_SP_RATEG					1071
#define IDC_SP_96K						1072
#define IDC_SP_88K						1073
#define IDC_SP_51K						1095
#define IDC_SP_48K						1074
#define IDC_SP_44K						1075
#define IDC_SP_25K						1096
#define IDC_SP_22K						1076
#define IDC_SP_NONE						1077
#define IDC_SP_BUFFERG					1078
#define IDC_SP_BUFMS					1079
#define IDC_SP_BUFEDIT					1080
#define IDC_SP_BUFSPIN					1081
#define IDC_SP_BUFTEXT					1082
#define IDC_SP_BEEPEDIT					1083
#define IDC_SP_BEEPTEXT					1084
#define IDC_SP_BEEPHZ					1085
#define IDC_SP_BEEPSPIN					1086
#define IDC_SP_HQMODE					1087
#define IDC_SP_STEREOTEXT				1088
#define IDC_SP_STEREO					1089
#define IDC_SP_TAPEMON					1090
#define IDC_SP_BGSOUNDPLAY				1091
#define IDC_SP_SOUNDTEXT				1092
#define IDC_SP_SOUNDENGINE				1093
#define IDC_SP_OPTIONG					1094
#define IDC_SP_FDDSOUND					1097
#define IDC_SP_HELP						1098

/* ʒ_CAO */
#define IDC_VP_SEPARATIONG				1100
#define IDC_VP_SEPARATIONCAPTION		1101
#define IDC_VP_SEPARATION				1102
#define IDC_VP_SEPARATIONTEXT			1103
#define IDC_VP_VOLUMEG					1104
#define IDC_VP_FMCAPTION				1105
#define IDC_VP_FMVOLUME					1106
#define IDC_VP_FMVOLUMETEXT				1107
#define IDC_VP_PSGCAPTION				1108
#define IDC_VP_PSGVOLUME				1109
#define IDC_VP_PSGVOLUMETEXT			1110
#define IDC_VP_BEEPCAPTION				1111
#define IDC_VP_BEEPVOLUME				1112
#define IDC_VP_BEEPVOLUMETEXT			1113
#define IDC_VP_CMTCAPTION				1114
#define IDC_VP_CMTVOLUME				1115
#define IDC_VP_CMTVOLUMETEXT			1116
#define IDC_VP_WAVECAPTION				1117
#define IDC_VP_WAVEVOLUME				1118
#define IDC_VP_WAVEVOLUMETEXT			1119
#define IDC_VP_DEFAULT					1120
#define IDC_VP_HELP						1121

/* L[{[hy[W */
#define IDC_KP_MAPG						1130
#define IDC_KP_LIST						1131
#define IDC_KP_101B						1132
#define IDC_KP_106B						1133
#define IDC_KP_98B						1134
#define IDC_KP_USEARROWFOR10			1135
#define IDC_KP_KBDREAL					1136
#define IDC_KP_ARROW8DIR				1137
#define IDC_KP_COPYPASTE				1138
#define IDC_KP_HELP						1139

/* L[̓_CAO */
#define IDC_KEYIN_LABEL					1140
#define IDC_KEYIN_STATIC				1141
#define IDC_KEYIN_KEY					1142
#define IDC_KEYIN_OK					1143
#define IDC_KEYIN_CANCEL				1144

/* WCXeBbNy[W */
#define IDC_JP_PORTG					1150
#define IDC_JP_PORT1					1151
#define IDC_JP_PORT2					1152
#define IDC_JP_PORTC					IDC_JP_PORT1
#define IDC_JP_TYPEG					1153
#define IDC_JP_TYPEC					1154
#define IDC_JP_RAPIDG					1155
#define IDC_JP_RAPIDA					1156
#define IDC_JP_RAPIDB					1157
#define IDC_JP_RAPIDAC					1158
#define IDC_JP_RAPIDBC					1159
#define IDC_JP_CODEG					1160
#define IDC_JP_UP						1161
#define IDC_JP_UPC						1162
#define IDC_JP_DOWN						1163
#define IDC_JP_DOWNC					1164
#define IDC_JP_LEFT						1165
#define IDC_JP_LEFTC					1166
#define IDC_JP_RIGHT					1167
#define IDC_JP_RIGHTC					1168
#define IDC_JP_CENTER					1169
#define IDC_JP_CENTERC					1170
#define IDC_JP_A						1171
#define IDC_JP_AC						1172
#define IDC_JP_B						1173
#define IDC_JP_BC						1174
#define IDC_JP_HELP						1175

/* XN[y[W */
#define IDC_SCP_MODEG					1180
#define IDC_SCP_WING					1181
#define IDC_SCP_ETCG					1182
#define IDC_SCP_MODE					1183
#define IDC_SCP_MODEC					1184
#define IDC_SCP_24K						1185
#define IDC_SCP_24KFS					1186
#define IDC_SCP_CAPTIONB				1187
#define IDC_SCP_TRUECOLOR				1188
#define IDC_SCP_DOUBLESIZE				1189
#define IDC_SCP_RASTERRENDER			1190
#define IDC_SCP_MONITORTYPE				1191
#define IDC_SCP_PSEUDO400LINE			1193
#define IDC_SCP_HELP					1194

/* IvVy[W */
#define IDC_OP_WHGG						1200
#define IDC_OP_WHGB						1201
#define IDC_OP_THGB						1212
#define IDC_OP_DIGITIZEG				1223
#define IDC_OP_DIGITIZEB				1234
#define IDC_OP_RAMG						1245
#define IDC_OP_RAMB						1256
#define	IDC_OP_MOUSEG					1257
#define	IDC_OP_MOUSEEM					1258
#define	IDC_OP_MOUSE_PORT1				1259
#define	IDC_OP_MOUSE_PORT2				1260
#define	IDC_OP_MOUSE_FMMOUSE			1261
#define IDC_OP_OPNB						1262
#define IDC_OP_400LINEG					1263
#define IDC_OP_400LINEB					1264
#define IDC_OP_MOUSESW					1265
#define IDC_OP_MOUSESWC					1266
#define IDC_OP_JSUBG					1267
#define IDC_OP_JSUBB					1268
#define IDC_OP_BMCG						1269
#define IDC_OP_BMCB						1270
#define IDC_OP_JCARDG					1271
#define IDC_OP_JCARDB					1272
#define IDC_OP_HELP						1273

/* u[N|Cg_CAO */
#define IDC_BREAKP_ADDRLABEL			1280
#define IDC_BREAKP_ADDRCOMBO			1281
#define IDC_BREAKP_CPUGROUP				1282
#define IDC_BREAKP_CPU_MAIN				1283
#define IDC_BREAKP_CPU_SUB				1284
#define IDC_BREAKP_CPU_JSUB				1285
#define IDC_BREAKP_CPU_MAINZ80			1286

/* |[gy[W */
#define IDC_POP_MIDIG					1290
#define IDC_POP_MIDIDEV					1291
#define IDC_POP_MIDIDEVC				1292
#define IDC_POP_MIDIDLY					1293
#define IDC_POP_MIDIDLYEDIT				1294
#define IDC_POP_MIDIDLYSPIN				1295
#define IDC_POP_MIDIDLYMS				1296
#define IDC_POP_MIDIDLYSB				1297
#define IDC_POP_COMG					1298
#define IDC_POP_COMPORT					1299
#define IDC_POP_COMPORTC				1300
#define IDC_POP_COMENABLE				1301
#define IDC_POP_COMBPS					1302
#define IDC_POP_COMBPSC					1303
#define IDC_POP_RESETMSG				1304
#define IDC_POP_HELP					1305

/* v^y[W */
#ifdef LPRINT
#define IDC_LPP_LPRG					1310
#define IDC_LPP_LPREMUENABLE			1311
#define IDC_LPP_LPROSFNT				1312
#define IDC_LPP_LPRKANJI				1313
#define IDC_LPP_LPRLOGENABLE			1314
#define IDC_LPP_LPRLOGPATH				1315
#define IDC_LPP_LPRLOGPATHNAME			1316
#define IDC_LPP_LPRLOGDIALOG			1317
#define IDC_LPP_LPRJASTSOUNDENABLE		1318
#define IDC_LPP_LPRDISABLE				1319
#define IDC_LPP_HELP					1320
#endif

/* y[W */
#define IDC_AP_FM8OPT					2300
#define IDC_AP_PSG						2301
#define IDC_AP_BANKSEL					2302
#define IDC_AP_BANKSELL					2303
#define IDC_AP_BANKSELB					2304
#define IDC_AP_SUBSYS					2305
#define IDC_AP_KEY						2306
#define IDC_AP_TAPECPUSPEED				2307
#define IDC_AP_KEYIOPORT				2308
#define IDC_AP_TTLPALET					2309
#define IDC_AP_FM7IRQ					2310
#define IDC_AP_HELP						2311

/* ̑y[W */
#define IDC_EP_ETCG						1350
#define IDC_EP_MAGUSPATCH				1351
#define IDC_EP_ROMRAMWRITE				1352
#define IDC_EP_OTHERG					1353
#define IDC_EP_POPUPSWND				1354
#define IDC_EP_OFNCENTERING				1355
#define IDC_EP_HELP						2311

/* t@Cj[ */
#define IDM_OPEN						40001
#define IDM_SAVE						40002
#define IDM_SAVEAS						40003
#define IDM_RESET						40004
#define IDM_HOTRESET					40005
#define IDM_TABRESET					40006
#define IDM_BASIC						40007
#define IDM_DOS 						40008
#define IDM_BUBBLE						40009
#define IDM_PRINT						40010
#define IDM_STATE_FILE0					50210
#define IDM_STATE_FILE1					50211
#define IDM_STATE_FILE2					50212
#define IDM_STATE_FILE3					50213
#define IDM_STATE_FILE4					50214
#define IDM_STATE_FILE5					50215
#define IDM_STATE_FILE6					50216
#define IDM_STATE_FILE7					50217
#define IDM_STATE_FILE8					50218
#define IDM_STATE_FILE9					50219
#define IDM_EXIT						40011

/* hCu1j[ */
#define IDM_D1OPEN						40020
#define IDM_DBOPEN						40021
#define IDM_D1EJECT 					40022
#define IDM_D1TEMP						40023
#define IDM_D1WRITE 					40024
#define IDM_D1MEDIA00					40025
#define IDM_D1MEDIA01					40026
#define IDM_D1MEDIA02					40027
#define IDM_D1MEDIA03					40028
#define IDM_D1MEDIA04					40029
#define IDM_D1MEDIA05					40030
#define IDM_D1MEDIA06					40031
#define IDM_D1MEDIA07					40032
#define IDM_D1MEDIA08					40033
#define IDM_D1MEDIA09					40034
#define IDM_D1MEDIA10					40035
#define IDM_D1MEDIA11					40036
#define IDM_D1MEDIA12					40037
#define IDM_D1MEDIA13					40038
#define IDM_D1MEDIA14					40039
#define IDM_D1MEDIA15					40040
#define IDM_D1_FILE0					50250
#define IDM_D1_FILE1					50251
#define IDM_D1_FILE2					50252
#define IDM_D1_FILE3					50253
#define IDM_D1_FILE4					50254
#define IDM_D1_FILE5					50255
#define IDM_D1_FILE6					50256
#define IDM_D1_FILE7					50257
#define IDM_D1_FILE8					50258
#define IDM_D1_FILE9					50259


/* hCu0j[ */
#define IDM_D0OPEN						40041
//		IDM_DBOPEN						40042
#define IDM_D0EJECT						40043
#define IDM_D0TEMP						40044
#define IDM_D0WRITE 					40045
#define IDM_D0MEDIA00					40046
#define IDM_D0MEDIA01					40047
#define IDM_D0MEDIA02					40048
#define IDM_D0MEDIA03					40049
#define IDM_D0MEDIA04					40050
#define IDM_D0MEDIA05					40051
#define IDM_D0MEDIA06					40052
#define IDM_D0MEDIA07					40053
#define IDM_D0MEDIA08					40054
#define IDM_D0MEDIA09					40055
#define IDM_D0MEDIA10					40056
#define IDM_D0MEDIA11					40057
#define IDM_D0MEDIA12					40058
#define IDM_D0MEDIA13					40059
#define IDM_D0MEDIA14					40060
#define IDM_D0MEDIA15					40061
#define IDM_D0_FILE0					50260
#define IDM_D0_FILE1					50261
#define IDM_D0_FILE2					50262
#define IDM_D0_FILE3					50263
#define IDM_D0_FILE4					50264
#define IDM_D0_FILE5					50265
#define IDM_D0_FILE6					50266
#define IDM_D0_FILE7					50267
#define IDM_D0_FILE8					50268
#define IDM_D0_FILE9					50269

/* e[vj[ */
#define IDM_TOPEN						40062
#define IDM_TEJECT						40063
#define IDM_REW							40064
#define IDM_FF							40065
#define IDM_REC							40066
#define IDM_REWTOP						40191
#define IDM_T_FILE0						50220
#define IDM_T_FILE1						50221
#define IDM_T_FILE2						50222
#define IDM_T_FILE3						50223
#define IDM_T_FILE4						50224
#define IDM_T_FILE5						50225
#define IDM_T_FILE6						50226
#define IDM_T_FILE7						50227
#define IDM_T_FILE8						50228
#define IDM_T_FILE9						50229

/* ouz_0j[ */
#define IDM_B0OPEN						40067
#define IDM_BBOPEN						40068
#define IDM_B0EJECT						40069
#define IDM_B0TEMP						40070
#define IDM_B0WRITE						40071
#define IDM_B0MEDIA00					40072
#define IDM_B0MEDIA01					40073
#define IDM_B0MEDIA02					40074
#define IDM_B0MEDIA03					40075
#define IDM_B0MEDIA04					40076
#define IDM_B0MEDIA05					40077
#define IDM_B0MEDIA06					40078
#define IDM_B0MEDIA07					40079
#define IDM_B0MEDIA08					40080
#define IDM_B0MEDIA09					40081
#define IDM_B0MEDIA10					40082
#define IDM_B0MEDIA11					40083
#define IDM_B0MEDIA12					40084
#define IDM_B0MEDIA13					40085
#define IDM_B0MEDIA14					40086
#define IDM_B0MEDIA15					40087
#define IDM_B0_FILE0					50340
#define IDM_B0_FILE1					50341
#define IDM_B0_FILE2					50342
#define IDM_B0_FILE3					50343
#define IDM_B0_FILE4					50344
#define IDM_B0_FILE5					50345
#define IDM_B0_FILE6					50346
#define IDM_B0_FILE7					50347
#define IDM_B0_FILE8					50348
#define IDM_B0_FILE9					50349

/* ouz_1j[ */
#define IDM_B1OPEN						40088
//efine IDM_BBOPEN						40068
#define IDM_B1EJECT						40089
#define IDM_B1TEMP						40090
#define IDM_B1WRITE						40091
#define IDM_B1MEDIA00					40092
#define IDM_B1MEDIA01					40093
#define IDM_B1MEDIA02					40094
#define IDM_B1MEDIA03					40095
#define IDM_B1MEDIA04					40096
#define IDM_B1MEDIA05					40097
#define IDM_B1MEDIA06					40098
#define IDM_B1MEDIA07					40099
#define IDM_B1MEDIA08					40100
#define IDM_B1MEDIA09					40101
#define IDM_B1MEDIA10					40102
#define IDM_B1MEDIA11					40103
#define IDM_B1MEDIA12					40104
#define IDM_B1MEDIA13					40105
#define IDM_B1MEDIA14					40106
#define IDM_B1MEDIA15					40107
#define IDM_B1_FILE0					50330
#define IDM_B1_FILE1					50331
#define IDM_B1_FILE2					50332
#define IDM_B1_FILE3					50333
#define IDM_B1_FILE4					50334
#define IDM_B1_FILE5					50335
#define IDM_B1_FILE6					50336
#define IDM_B1_FILE7					50337
#define IDM_B1_FILE8					50338
#define IDM_B1_FILE9					50339

/* \j[ */
#define IDM_FDC							40108
#define IDM_BMC							40109
#define IDM_OPNREG						40110
#define IDM_OPNDISP						40111
#define IDM_SUBCTRL						40112
#define IDM_KEYBOARD					40113
#define IDM_MMR							40114
#define IDM_DMAC						40115
#define IDM_ALULINE						40116
#define IDM_CYCLESTEAL					40117
#define IDM_STATUS						40118
#define IDM_REFRESH						40119
#define IDM_SYNC						40120
#define IDM_FULLSCREEN					40121
#define IDM_PALETTE						40122

/* fobOj[ */
#define IDM_EXEC 						40123
#define IDM_BREAK						40124
#define IDM_TRACE						40125
#define IDM_BREAKPOINT					40126
#define IDM_SCHEDULER					40127
#define IDM_CPU_MAIN					40128
#define IDM_CPU_SUB						40129
#define IDM_CPU_JSUB					40130
#define IDM_CPU_MAINZ80					40131
#define IDM_DISASM_MAIN					40132
#define IDM_DISASM_SUB					40133
#define IDM_DISASM_JSUB					40134
#define IDM_DISASM_MAINZ80				40135
#define IDM_MEMORY_MAIN					40136
#define IDM_MEMORY_SUB					40137
#define IDM_MEMORY_JSUB					40138

/* c[j[ */
#define IDM_CONFIG						40140
#define IDM_MOUSEMODE					40141
#define IDM_MOUSEMODE2					40142
#define IDM_TIMEADJUST					40143
#define IDM_GRPCAP						40144
#define IDM_GRPCAP2						40145
#define IDM_WAVCAP						40146
#define IDM_NEWDISK						40147
#define IDM_NEWTAPE						40148
#define IDM_NEWBUBBLE					40149
#define IDM_VFD2D77						40150
#define IDM_2D2D77						40151
#define IDM_VTP2T77						40152
#define IDM_BBL2B77						40153
#define IDM_MOUSEON						40154
#define IDM_MOUSEOFF					40155
#define IDM_PASTE						40156
#define IDM_KEYSTROKE					40157
#define IDM_NOWAIT						40158
#define IDM_VMNOWAIT					40159

/* EBhEj[ */
#define IDM_CASCADE						40160
#define IDM_TILE						40161
#define IDM_ICONIC						40162
#define IDM_ARRANGEICON					40163
#define IDM_ALLHIDE						40164
#define IDM_ALLRESTORE					40165
#define IDM_ALLCLOSE					40166
#define IDM_SWND00						40167
#define IDM_SWND01						40168
#define IDM_SWND02						40169
#define IDM_SWND03						40170
#define IDM_SWND04						40171
#define IDM_SWND05						40172
#define IDM_SWND06						40173
#define IDM_SWND07						40174
#define IDM_SWND08						40175
#define IDM_SWND09						40176
#define IDM_SWND10						40177
#define IDM_SWND11						40178
#define IDM_SWND12						40179
#define IDM_SWND13						40180
#define IDM_SWND14						40181
#define IDM_SWND15						40182
#define IDM_SWND16						40183
#define IDM_SWND17						40184
#define IDM_SWND18						40185
#define IDM_SWND19						40186

/* wvj[ */
#define IDM_ABOUT						40190

/* ReLXgj[(tAZu) */
#define IDM_DIS_ADDR					40200
#define IDM_DIS_PC						40201
#define IDM_DIS_X						40202
#define IDM_DIS_Y						40203
#define IDM_DIS_U						40204
#define IDM_DIS_S						40205
#define IDM_DIS_RESET					40206
#define IDM_DIS_NMI						40207
#define IDM_DIS_SWI						40208
#define IDM_DIS_IRQ						40209
#define IDM_DIS_FIRQ					40210
#define IDM_DIS_SWI2					40211
#define IDM_DIS_SWI3					40212
#define IDM_DIS_JUMP					40213
#define IDM_DIS_SYNCPC					40214
#define IDM_DIS_PHYSADDR				40216
#define	IDM_DIS_STACK					40217
#define IDM_DIS_PC_Z80					40220
#define IDM_DIS_BC						40221
#define IDM_DIS_DE						40222
#define IDM_DIS_HL						40223
#define IDM_DIS_IX						40224
#define IDM_DIS_IY						40225
#define IDM_DIS_SP						40226
#define	IDM_DIS_BREAK					40240
#define IDM_DIS_COPY					50826

/* ReLXgj[(_v) */
#define IDM_DMP_ADDR					40250
#define IDM_DMP_PC						40251
#define IDM_DMP_X						40252
#define IDM_DMP_Y						40253
#define IDM_DMP_U						40254
#define IDM_DMP_S						40255
#define IDM_DMP_RESET					40256
#define IDM_DMP_NMI						40257
#define IDM_DMP_SWI						40258
#define IDM_DMP_IRQ						40259
#define IDM_DMP_FIRQ					40260
#define IDM_DMP_SWI2					40261
#define IDM_DMP_SWI3					40262
#define IDM_DMP_DP						40263
#define IDM_DMP_IO						40264
#define IDM_DMP_BLK128					40265
#define IDM_DMP_BLK256					40266
#define IDM_DMP_ASCII					40267
#define IDM_DMP_KANJI					40268
#define IDM_DMP_SEARCH					40269
#define	IDM_DMP_STACK					40270
#define IDM_DMP_PC_Z80					40280
#define IDM_DMP_BC						40281
#define IDM_DMP_DE						40282
#define IDM_DMP_HL						40283
#define IDM_DMP_IX						40284
#define IDM_DMP_IY						40285
#define IDM_DMP_SP						40286
#define IDM_DMP_PHYSADDR				40310
#define IDM_DMP_00000					40311
#define IDM_DMP_10000					40312
#define IDM_DMP_20000					40313
#define IDM_DMP_30000					40314
#define IDM_DMP_40000					40315
#define IDM_DMP_50000					40316
#define IDM_DMP_60000					40317
#define IDM_DMP_70000					40318
#define IDM_DMP_80000					40319
#define IDM_DMP_90000					40320
#define IDM_DMP_A0000					40321
#define IDM_DMP_B0000					40322
#define IDM_DMP_C0000					40323
#define IDM_DMP_D0000					40324
#define IDM_DMP_E0000					40325
#define IDM_DMP_F0000					40326
#define IDM_DMP_COPY					50827

/* ReLXgj[(u[N|Cg) */
#define IDM_BREAKP_JUMP					40300
#define IDM_BREAKP_ENABLE 				40301
#define IDM_BREAKP_DISABLE				40302
#define IDM_BREAKP_CLEAR				40303
#define IDM_BREAKP_ALL					40304
#define IDM_BREAKP_SET					40305

/* ReLXgj[(CPUWX^) */
#define IDM_REG_CC						40350
#define IDM_REG_A						40351
#define IDM_REG_B						40352
#define IDM_REG_DP						40353
#define IDM_REG_D						40358
#define IDM_REG_X						40354
#define IDM_REG_Y						40355
#define IDM_REG_U						40356
#define IDM_REG_S						40357
#define IDM_REG_PC						40359
#define IDM_REG_AF						40360
#define IDM_REG_BC						40361
#define IDM_REG_DE						40362
#define IDM_REG_HL						40363
#define IDM_REG_IX						40364
#define IDM_REG_IY						40365
#define IDM_REG_SP						40366
#define IDM_REG_PC_Z80					40367

/* L[{[hV[gJbg */
#define	IDM_CHG_SOUNDMODE				40400

/* ReLXgj[(fBXN) */
#define IDM_MEDIATITLE					50500

/* ReLXgj[(qXg) */
#define IDM_HISTORY_DELETE				50510

/* bZ[WQ */
#define IDS_IDLEMESSAGE 				41000
#define IDS_VMERROR 					41001
#define IDS_DXERROR						41002
#define IDS_RUNCAPTION					41003
#define IDS_STOPCAPTION					41004
#define IDS_EXIT						51037
#define IDS_DISKFILTER					41005
#define IDS_DISKOPEN					41006
#define IDS_DISKBOTH					41007
#define IDS_DISKEJECT					41008
#define IDS_DISKPROTECT					41009
#define IDS_DISK2D						41010
#define IDS_TAPEFILTER					41011
#define IDS_TAPEOPEN					41012
#define IDS_TAPEEJECT					41013
#define IDS_TAPEREW						41014
#define IDS_TAPEREWTOP					41155
#define IDS_TAPEFF						41015
#define IDS_TAPEREC						41016
#define IDS_NEWTAPEOK					41017
#define IDS_NEWDISKFILTER				41018
#define IDS_CNVDISKFILTER				41198
#define IDS_NEWDISKOK					41019
#define IDS_BUBBLEFILTER				41020
#define IDS_BUBBLE0						41021
#define IDS_BUBBLE1						41022
#define IDS_BUBBLEOPEN					41023
#define IDS_BUBBLEEJECT					41024
#define IDS_BUBBLETEMP					41025
#define IDS_BUBBLEPROTECT				41026
#define IDS_NEWBUBBLEOK					41027
#define IDS_GRPCAPFILTER				41028
#define IDS_SWND_CPUREG_MAIN			41029
#define IDS_SWND_CPUREG_SUB				41030
#define IDS_SWND_SCHEDULER				41031
#define IDS_SWND_DISASM_MAIN			41032
#define IDS_SWND_DISASM_SUB				41033
#define IDS_SWND_MEMORY_MAIN			41034
#define IDS_SWND_MEMORY_SUB				41035
#define IDS_SWND_BMC					41036
#define IDS_STATEFILTER					41037
#define IDS_STATEERROR					41038
#define IDS_SWND_BREAKPOINT				41039
#define IDS_SWND_FDC					41040
#define IDS_VFDFILTER					41041
#define IDS_2DFILTER					41042
#define IDS_VTPFILTER					41043
#define IDS_CONVERTOK					41044
#define IDS_CONVERTFAIL					41045
#define IDS_SWND_OPNREG					41046
#define IDS_SWND_SUBCTRL				41047
#define IDS_CONFIGCAPTION				41048
#define IDS_GP_MAINCPU					41049
#define IDS_GP_MAINMMR					41050
#define IDS_SWND_OPNDISP				41051
#define IDS_SWND_KEYBOARD				41052
#define IDS_KP_KEYNO					41053
#define IDS_KP_KEYFM					41054
#define IDS_KP_KEYKANA					41055
#define IDS_KP_KEYDI					41056
#define IDS_DISKTEMP					41057
#define IDS_JP_RAPID0					41058
#define IDS_JP_RAPID1					41059
#define IDS_JP_RAPID2					41060
#define IDS_JP_RAPID3					41061
#define IDS_JP_RAPID4					41062
#define IDS_JP_RAPID5					41063
#define IDS_JP_RAPID6					41064
#define IDS_JP_RAPID7					41065
#define IDS_JP_RAPID8					41066
#define IDS_JP_RAPID9					41067
#define IDS_JP_TYPE0					41068
#define IDS_JP_TYPE1					41069
#define IDS_JP_TYPE2					41070
#define IDS_JP_TYPE3					41071
#define IDS_JP_TYPE4					41072
#define IDS_JP_TYPE5					41073
#define IDS_JP_TYPE6					41074
#define IDS_JP_TYPE7					41075
#define IDS_SWND_MMR					41076
#define IDS_WAVCAPFILTER				41077
#define IDS_WAVCAPERROR					41078
#define IDS_GP_SUBCPU					41079
#define IDS_SP_MONO						41080
#define IDS_SP_STEREO					41081
#define IDS_SP_STEREO_WHGREV			41082
#define IDS_SP_STEREO_THG				41083
#define IDS_SP_STEREO_THGREV			41084
#define IDS_DISKVFD						41085
#define IDS_SWND_DMAC					41086
#define IDS_GP_FASTMMR					41087
#define IDS_GP_JSUBCPU					41088
#define IDS_SWND_ALULINE				41089
#define IDS_MEDIA_CHANGE				41090
#define IDS_DISK2DD						41091
#define IDS_SND_MONAURAL				41092
#define IDS_SND_WHG_NORMAL				41093
#define IDS_SND_WHG_REVERSE				41094
#define IDS_SND_THG_NORMAL				41095
#define IDS_SND_THG_REVERSE				41096
#define IDS_MOUSE_DISABLE				41097
#define IDS_MOUSE_ENABLE				41098
#define IDS_MOUSEMODE_ENBF11			41099
#define IDS_MOUSEMODE_DISF11			41199
#define IDS_COMM_OPENERROR				41101
#define IDS_COMM_THREADERROR			41102
#define IDS_MEDIA_NAME					41103
#define IDS_COINITERROR					41104
#define IDS_SWND_CPU_MAIN				41105
#define IDS_SWND_CPU_SUB				41106
#define IDS_SWND_CPU_MAIN_P				41107
#define IDS_SWND_CPU_MAINZ80			41108
#define IDS_SWND_SRCH_FOUND				41109
#define IDS_SWND_SRCH_FOUND_P			41110
#define IDS_SWND_SRCH_NOTFOUND			41111
#define IDS_SWND_CPU_JSUB				41112
#define IDS_SWND_CPUREG_JSUB			41113
#define IDS_SWND_DISASM_JSUB			41114
#define IDS_SWND_MEMORY_JSUB			41115
#define IDS_SWND_BREAKPOINT_NONE		41116
#define IDS_JP_NOASSIGN					41117
#define IDS_GP_MAINCPU_LOW				41118
#define IDS_GP_SUBCPU_LOW				41119
#define IDS_GP_MAINCPU_Z80				41120
#define IDS_OP_MOUSESW_1				41121
#define IDS_OP_MOUSESW_2				41122
#define IDS_OP_MOUSESW_3				41123
#define IDS_SWND_PSGREG					41124
#define IDS_SWND_PSGDISP				41125
#define IDS_BAR_CAP						41126
#define IDS_BAR_KANA					41127
#define IDS_BAR_INS						41128
#define IDS_ENABLE_CYCLESTEAL			41129
#define IDS_DISABLE_CYCLESTEAL			41130
#define IDS_POP_NONE					IDS_SWND_BREAKPOINT_NONE
#define	IDS_POP_COM300					41131
#define	IDS_POP_COM600					41132
#define	IDS_POP_COM1200					41133
#define	IDS_POP_COM2400					41134
#define	IDS_POP_COM4800					41135
#define	IDS_SCP_400LINE					41136
#define	IDS_SCP_480LINE					41137
#define	IDS_SCP_WUXGA					41138
#define	IDS_SCP_SXGA					41139
#define	IDS_SCP_WXGA					41140
#define IDS_SWND_REG_MESSAGE			41141
#define	IDS_BBOPEN						41142
#define	IDS_B77FILTER					41143
#define	IDS_BBLFILTER					41144
#define	IDS_BBLFILE						41145
#define IDS_SWND_PALETTE				41146
#define IDS_LPRFILTER					41147
#define IDS_LPRLOGERROR					41148
#define IDS_SWND_CPUREG_Z80				41149
#define IDS_SWND_DISASM_Z80				41150
#define IDS_AP_BANKSEL_OFF				41151
#define IDS_AP_BANKSEL_ON				41152
#define IDS_AP_BANKSEL_ON_DIPSW			41153
#define IDS_AP_BANKSEL_RAMFILE			41154
#define	IDS_PASTE						41156
#define	IDS_KEYSTROKE					41157
#define IDS_DISKFDX						41158
#define IDS_ABOUTURL					41200
#define IDS_ABOUTURL2					41201
#define IDS_ABOUTURL3					41202
#define IDS_ABOUTURL4					41203
#define IDS_ABOUTURL5					41204
#define IDS_SETTITLEOK					51106
#define IDS_HISTORY_DELETE				51108
#define IDS_FILE_NOT_FOUND				51109
#define IDS_SP_FMGEN					51150
#define IDS_SP_ROMEO					51151
#define IDS_SP_SCCI						51152

#endif	/* _WIN32 */
